# jQuery-Social-Share
Social share menu with jQuery

Include font awesome styles for the icons, jquery and the share plugin
```
<link rel='stylesheet' id='font-awesome-css'  href='css/font-awesome.min.css' type='text/css' media='all' />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.0/jquery.min.js"></script>
<script src="js/jquery.social.js"></script>
```

Set the page meta/og tags
```
<meta property="fb:app_id" content="YOUR_APP_ID" /> 
<meta property="og:site_name" content="Social Share Menu"/>
<meta property="og:type" content="website" />
<meta property="og:url" content="https://website.com/" /> 
<meta property="og:title" content="Social Share" /> 
<meta property="og:description" content="Social Share Menu with jQuery"/>
<meta property="og:image" content="" />
```

```javascript
$( document ).ready(function() {

  // set base on the page meta properties
  $(".social-share").social();

  // manual set
  // $(".social-share").social({
  //   "fbAppID" : "YOUR_APP_ID",
  //   "url"     : "https://website.com/",
  //   "title"   : "Social Share Menu",
  //   "desc"    : "Social Share Menu with jQuery",
  //   "image"    : "https://website.com/img.jpg"
  // });
  
});
